![logo-qm](./pic/logo-qm.jpg)

# qm-fs-ifexists [![npm version](https://badge.fury.io/js/qm-fs-ifexists.svg)](https://badge.fury.io/js/qm-fs-ifexists) [![Build Status](https://travis-ci.org/qaraluch/qm-fs-ifExists.svg?branch=master)](https://travis-ci.org/qaraluch/qm-fs-ifexists)

> Checks if file or dir exists. Use only in node.js above v.8 because of `util.promisify` usage.

## Installation
```
$ npm i -S qm-fs-ifexists
```

## Usage
```js
import { ifExists } from 'qm-fs-ifexists';

// default
const options = {
  asBoolean = true,
  synchronous = false
};

ifExists('./someFile', options).then(result => {
  console.log(result); // true or false 
});

// or 

ifExists('./someFile', { asBoolean: false }).then(result => {
  console.log(result); // 'file' / 'dir' / 'other' 
});
```

## Result
Returs promise or boolean/string value for synchronous usage.

## License
MIT © [qaraluch](https://github.com/qaraluch)

